Subject: Headers presents but unusable

From: Anatole Dahan <[email-masked]>
Date: Fri, 30 Apr 2021 12:30:41 +0200

Hi,

I have encountered errors while configuring emacs, and I was told to send a bug report here. You will find my config.log attached, together with my environment variables.

For context, I am trying to cross-compile native-compilation. I guess this might not be supported, as libgccjit makes it quite complicated (I didn’t yet find a way to bypass the smoke test). I have built the NATIVE libgccjit for i586-linux-musl (maybe I am wrong about that ?)

Anyway, both sys/inotify.h and libgccjit.h are present, but they are marked as missing because they can’t be used (which seems legit, at least for libgccjit, since it is built for native i586-linux-musl). From what I understood, this is considered a bug. 

Best,
—Anatole Dahan